# Interface Node

All Superinterfaces:
  `SimpleNode`

All Known Implementing Classes:
  `Atom, SmilesAtom`

public interface Node extends SimpleNode

## Method Summary

Modifier and Type
Method
Description
`BS`
`findAtomsLike(String substring)`
`int`
`getAtomicAndIsotopeNumber()`
`String`
`getAtomName()`
`int`
`getAtomNumber()`
`int`
`getAtomSite()`
`String`
`getAtomType()`
`char`
`getBioSmilesType()`
`String`
`getBioStructureTypeName()`
`int`
`getBondedAtomIndex(int j)`
`int`
`getChainID()`
`String`
`getChainIDStr()`
`String`
`getCIPChirality(boolean doCalculate)`
`int`
`getCIPChiralityCode()`
`int`
`getCovalentBondCount()`
Get the total number of covalent bonds, thus not including hydrogen bonds.
`int`
`getCovalentBondCountPlusMissingH()`
includes actual + missing
`int`
`getCovalentHydrogenCount()`
`boolean`
`getCrossLinkVector(Lst<Integer> vReturn, boolean crosslinkCovalent, boolean crosslinkHBond)`
`Edge[]`
`getEdges()`
Get the bond array, including hydrogen bonds.
`int`
`getElementNumber()`
`int`
`getExplicitHydrogenCount()`
[CH2] for example
`float`
`getFloatProperty(String property)`
`int`
`getFormalCharge()`
`String`
`getGroup1(char c0)`
`String`
`getGroup3(boolean allowNull)`
`void`
`getGroupBits(BS bs)`
`int`
`getImplicitHydrogenCount()`
can be > 0 for PDB model with no H atoms or for SMILES string CCC
`int`
`getIndex()`
`char`
`getInsertionCode()`
`int`
`getIsotopeNumber()`
`float`
`getMass()`
`int`
`getModelIndex()`
`int`
`getMoleculeNumber(boolean inModel)`
`int`
`getOffsetResidueAtom(String name, int offset)`
`int`
`getResno()`
`int`
`getTotalHydrogenCount()`
`int`
`getTotalValence()`
`int`
`getValence()`
`P3`
`getXYZ()`
`boolean`
`isCrossLinked(Node node)`
`boolean`
`isDeleted()`
`boolean`
`isLeadAtom()`
`boolean`
`isPurine()`
`boolean`
`isPyrimidine()`
`boolean`
`modelIsRawPDB()`
`void`
`set(float x, float y, float z)`
`void`
`setCIPChirality(int c)`

### Methods inherited from interface SimpleNode

`getBondCount`

## Method Details

### getAtomicAndIsotopeNumber

int getAtomicAndIsotopeNumber()

### getAtomName

String getAtomName()

Specified by:
  `getAtomName` in interface `SimpleNode`

### getAtomSite

int getAtomSite()

### getBondedAtomIndex

int getBondedAtomIndex(int j)

### getCovalentBondCount

int getCovalentBondCount()
Description copied from interface: `SimpleNode`
Get the total number of covalent bonds, thus not including hydrogen bonds.

Specified by:
  `getCovalentBondCount` in interface `SimpleNode`
Returns:
  number of bonds

### getCovalentHydrogenCount

int getCovalentHydrogenCount()

### getEdges

Edge[] getEdges()
Description copied from interface: `SimpleNode`
Get the bond array, including hydrogen bonds.

Specified by:
  `getEdges` in interface `SimpleNode`
Returns:
  number of bonds

### getElementNumber

int getElementNumber()

Specified by:
  `getElementNumber` in interface `SimpleNode`
Returns:
  the atomic number for this atom

### getFormalCharge

int getFormalCharge()

Specified by:
  `getFormalCharge` in interface `SimpleNode`
Returns:
  the formal charge for this atom

### getIndex

int getIndex()

Specified by:
  `getIndex` in interface `SimpleNode`
Returns:
  the unique ID number associated with this atom (which in Jmol is its position in the atoms[] array

### getIsotopeNumber

int getIsotopeNumber()

Specified by:
  `getIsotopeNumber` in interface `SimpleNode`

### getValence

int getValence()

Specified by:
  `getValence` in interface `SimpleNode`
Returns:
  the sum of the bond orders for this atom

### set

void set(float x, float y, float z)

### getMoleculeNumber

int getMoleculeNumber(boolean inModel)

### getMass

float getMass()

Specified by:
  `getMass` in interface `SimpleNode`
Returns:
  the mass or, if specified, the mass number

### getFloatProperty

float getFloatProperty(String property)

Parameters:
  `property` - "property_xxxx"
Returns:
  value or Float.NaN

### findAtomsLike

BS findAtomsLike(String substring)

### getAtomType

String getAtomType()

### getModelIndex

int getModelIndex()

### getAtomNumber

int getAtomNumber()

### getImplicitHydrogenCount

int getImplicitHydrogenCount()
can be > 0 for PDB model with no H atoms or for SMILES string CCC

Returns:
  number of missing H atoms

### getExplicitHydrogenCount

int getExplicitHydrogenCount()
[CH2] for example

Returns:
  number of H atoms in brackets

### getCovalentBondCountPlusMissingH

int getCovalentBondCountPlusMissingH()
includes actual + missing

Returns:
  actual + missing

### getTotalHydrogenCount

int getTotalHydrogenCount()

### getTotalValence

int getTotalValence()

### getCIPChirality

String getCIPChirality(boolean doCalculate)

### getCIPChiralityCode

int getCIPChiralityCode()

### setCIPChirality

void setCIPChirality(int c)

Specified by:
  `setCIPChirality` in interface `SimpleNode`

### getXYZ

P3 getXYZ()

Specified by:
  `getXYZ` in interface `SimpleNode`
Returns:
  the position of this atom

### modelIsRawPDB

boolean modelIsRawPDB()

### getBioStructureTypeName

String getBioStructureTypeName()

### getGroup1

String getGroup1(char c0)

### getGroup3

String getGroup3(boolean allowNull)

### getResno

int getResno()

### getInsertionCode

char getInsertionCode()

### getChainID

int getChainID()

### getChainIDStr

String getChainIDStr()

### getOffsetResidueAtom

int getOffsetResidueAtom(String name, int offset)

### getCrossLinkVector

boolean getCrossLinkVector(Lst<Integer> vReturn, boolean crosslinkCovalent, boolean crosslinkHBond)

### getGroupBits

void getGroupBits(BS bs)

### isLeadAtom

boolean isLeadAtom()

### isCrossLinked

boolean isCrossLinked(Node node)

### isPurine

boolean isPurine()

### isPyrimidine

boolean isPyrimidine()

### isDeleted

boolean isDeleted()

### getBioSmilesType

char getBioSmilesType()